# 图表构成

## 组件介绍

在 `qcharts-react` 中，组件对应 `qcharts` 分为 3 种类型（本质上都属于 组件）：

- 容器 组件：负责管理数据以及其他子组件
- `Visual` 组件：负责绘制相应可视类型图形
- `Plugin` 组件：辅助图表呈现或交互

### 容器组件

| 名称         | 类型     | 描述                                             |
| ------------ | -------- | ------------------------------------------------ |
| `<QChart />` | 容器组件 | 图表容器组件，所有其他组件必须被 <QChart /> 包裹 |

### Visual 组件

| 名称             | 类型        | 描述                       |
| ---------------- | ----------- | -------------------------- |
| `<QLine />`      | Visual 组件 | 绘制折线图图形             |
| `<QArea />`      | Visual 组件 | 绘制面积图图形             |
| `<QBar />`       | Visual 组件 | 绘制柱状图（或条形图）图形 |
| `<QPie />`       | Visual 组件 | 绘制饼图图形               |
| `<QGauge />`     | Visual 组件 | 绘制弧饼图图形             |
| `<QRadar />`     | Visual 组件 | 绘制雷达图图形             |
| `<QScatter />`   | Visual 组件 | 绘制散点图图图形           |
| `<QFunnel />`    | Visual 组件 | 绘制漏斗图图形             |
| `<QWave />`      | Visual 组件 | 水波图                     |
| `<QRadialBar />` | Visual 组件 | 绘制玉玦图图形             |
| `<QPolarBar />`  | Visual 组件 | 南丁格尔图                 |

### Plugin 组件

| 名称           | 类型        | 描述       |
| -------------- | ----------- | ---------- |
| `<QLegend />`  | Plugin 组件 | 绘制图例   |
| `<QAxis />`    | Plugin 组件 | 绘制坐标轴 |
| `<QTooltip />` | Plugin 组件 | 绘制提示框 |
